# OSGeo::FDO::Geometry::DirectPositionImpl Class Reference
[OSGeo::FDO::Geometry]

Inheritance diagram for OSGeo::FDO::Geometry::DirectPositionImpl:

[legend]

List of all members.

## Detailed Description

The DirectPositionImpl class is a default implementation of IDirectPosition. DirectPositionImpl implements accessors from IDirectPosition, matching mutators, and simple data members. Assignment and exact equality operators are also provided.

()

## Public Member Functions
| DirectPositionImpl (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs an Position based on an unmanaged instance of the object.
| DirectPositionImpl (OSGeo::FDO::Geometry::IDirectPosition *position)
| Constructs a copy of a DirectPositionImpl.
| DirectPositionImpl (DirectPositionImpl *position)
| Constructs a copy of a DirectPositionImpl.
| DirectPositionImpl (System::Double coordinateX, System::Double coordinateY, System::Double coordinateZ, System::Double coordinateM)
| Constructs a 4D DirectPositionImpl object from X, Y, Z and M ordinates.
| DirectPositionImpl (System::Double coordinateX, System::Double coordinateY, System::Double coordinateZ)
| Constructs a 3D DirectPositionImpl object from X, Y and Z ordinates.
| DirectPositionImpl (System::Double coordinateX, System::Double coordinateY)
| Constructs a 2D DirectPositionImpl object from X and Y ordinates.
| DirectPositionImpl ()
| Constructs a default instance of a DirectPositionImpl object.
System::Boolean | Equals (System::Object *obj)
| Equality function for FdoDirectPositionImpl.
__property System::Int32 | get_Dimensionality ()
| Gets the dimensionality of ordinates in this position.
__property System::Double | get_M ()
| Gets the M ordinate.
__property System::Double | get_X ()
| Gets the X ordinate.
__property System::Double | get_Y ()
| Gets the Y ordinate.
__property System::Double | get_Z ()
| Gets the Z ordinate.
__property System::Void | set_Dimensionality (System::Int32 value)
| Sets the dimensionality.
__property System::Void | set_M (System::Double value)
| Sets the M ordinate.
__property System::Void | set_X (System::Double value)
| Sets the X ordinate.
__property System::Void | set_Y (System::Double value)
| Sets the Y ordinate.
__property System::Void | set_Z (System::Double value)
| Sets the Z ordinate.
## Static Public Member Functions
static System::Void | op_Assign (DirectPositionImpl *left, IDirectPosition *right)
| Assignment function for DirectPositionImpl from a IDirectPosition, using public methods.
static System::Void | op_Assign (DirectPositionImpl *left, DirectPositionImpl *right)
| Assignment function for DirectPositionImpl.
static System::Boolean | op_Equality (DirectPositionImpl *left, DirectPositionImpl *right)
| Equality function for DirectPositionImpl.
static System::Boolean | op_Inequality (DirectPositionImpl *left, DirectPositionImpl *right)
| InEquality function for DirectPositionImpl.